﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title>Untitled Page</title>

	<script type="text/javascript">
		function onRowClick(sender, eventArgs)
		{
			alert("Row click!");
		}
	</script>

</head>
<body>
	<form id="form1" runat="server">
		<asp:ScriptManager ID="ScriptManager" runat="server" />
		<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
			<AjaxSettings>
				<telerik:AjaxSetting AjaxControlID="RadScheduler1">
					<UpdatedControls>
						<telerik:AjaxUpdatedControl ControlID="RadScheduler1" />
					</UpdatedControls>
				</telerik:AjaxSetting>
			</AjaxSettings>
		</telerik:RadAjaxManager>
		<telerik:RadScheduler runat="server" ID="RadScheduler1" Width="750px" Skin="Default"
			EnableEmbeddedSkins="True" SelectedDate="2007-03-30" DayStartTime="08:00:00"
			DayEndTime="18:00:00" DataSourceID="AppointmentsDataSource" DataKeyField="ID"
			DataSubjectField="Subject" DataStartField="Start" DataEndField="End" DataRecurrenceField="RecurrenceRule"
			DataRecurrenceParentKeyField="RecurrenceParentID" TimeZoneOffset="03:00:00">
			<ResourceTypes>
				<telerik:ResourceType KeyField="ID" Name="Room" TextField="RoomName" ForeignKeyField="RoomID"
					DataSourceID="RoomsDataSource" />
				<telerik:ResourceType KeyField="ID" Name="User" TextField="UserName" ForeignKeyField="UserID"
					DataSourceID="UsersDataSource" />
			</ResourceTypes>
			<AdvancedInsertTemplate>
				<telerik:RadGrid ID="RadGrid1" DataSourceID="SqlDataSource1" GridLines="None" AllowMultiRowSelection="true"
					ShowStatusBar="true" PageSize="10" Width="97%" AllowPaging="true" AllowSorting="true"
					runat="server" Skin="Office2007">
					<MasterTableView Width="100%" DataSourceID="SqlDataSource1">
						<RowIndicatorColumn>
							<HeaderStyle Width="20px" />
						</RowIndicatorColumn>
						<ExpandCollapseColumn Resizable="False" Visible="False">
							<HeaderStyle Width="20px" />
						</ExpandCollapseColumn>
					</MasterTableView>
					<ClientSettings AllowDragToGroup="True" AllowColumnsReorder="True"
						ReorderColumnsOnClient="True">
						<Resizing AllowColumnResize="True" AllowRowResize="True" />
						<Selecting AllowRowSelect="True" />
						<ClientEvents OnRowClick="onRowClick" />
					</ClientSettings>
				</telerik:RadGrid>
			</AdvancedInsertTemplate>
		</telerik:RadScheduler>
		<asp:SqlDataSource id="AppointmentsDataSource" runat="server"
			providername="System.Data.SqlClient" connectionstring="<%$ ConnectionStrings:RadSchedulerConnectionString %>"
			selectcommand="SELECT * FROM [Appointments]" insertcommand="INSERT INTO [Appointments] ([Subject], [Start], [End], [RoomID], [UserID], [RecurrenceRule], [RecurrenceParentID]) VALUES (@Subject, @Start, @End , @RoomID, @UserID, @RecurrenceRule, @RecurrenceParentID)"
			updatecommand="UPDATE [Appointments] SET [Subject] = @Subject, [Start] = @Start, [End] = @End, [RoomID] = @RoomID, [UserID] = @UserID, [RecurrenceRule] = @RecurrenceRule, [RecurrenceParentID] = @RecurrenceParentID WHERE (ID = @ID)"
			deletecommand="DELETE FROM [Appointments] WHERE [ID] = @ID">
			<DeleteParameters>
				<asp:Parameter Name="ID" Type="Int32" />
			</DeleteParameters>
			<UpdateParameters>
				<asp:Parameter Name="ID" Type="Int32" />
				<asp:Parameter Name="Subject" Type="String" />
				<asp:Parameter Name="Start" Type="DateTime" />
				<asp:Parameter Name="End" Type="DateTime" />
				<asp:Parameter Name="RoomID" Type="Int32" />
				<asp:Parameter Name="UserID" Type="Int32" />
				<asp:Parameter Name="RecurrenceRule" Type="String" />
				<asp:Parameter Name="RecurrenceParentID" Type="Int32" />
			</UpdateParameters>
			<InsertParameters>
				<asp:Parameter Name="Subject" Type="String" />
				<asp:Parameter Name="Start" Type="DateTime" />
				<asp:Parameter Name="End" Type="DateTime" />
				<asp:Parameter Name="RoomID" Type="Int32" />
				<asp:Parameter Name="UserID" Type="Int32" />
				<asp:Parameter Name="RecurrenceRule" Type="String" />
				<asp:Parameter Name="RecurrenceParentID" Type="Int32" />
			</InsertParameters>
		</asp:SqlDataSource>
		<asp:SqlDataSource id="RoomsDataSource" runat="server"
			providername="System.Data.SqlClient" connectionstring="<%$ ConnectionStrings:RadSchedulerConnectionString %>"
			selectcommand="SELECT * FROM [Rooms]">
		</asp:SqlDataSource>
		<asp:SqlDataSource id="UsersDataSource" runat="server"
			providername="System.Data.SqlClient" connectionstring="<%$ ConnectionStrings:RadSchedulerConnectionString %>"
			selectcommand="SELECT * FROM [Users]">
		</asp:SqlDataSource>
		<asp:SqlDataSource ID="SqlDataSource1" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
			ProviderName="System.Data.SqlClient" SelectCommand="SELECT CustomerID, CompanyName, ContactName, ContactTitle, Address, PostalCode FROM Customers"
			runat="server"></asp:SqlDataSource>
	</form>
</body>
</html>
